
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% create_fmr_document.m
% Script to create a functional mosaic document (*.fmr) in Matlab
% Works with BrainVoyager 23
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% declare and initialize variables (change for own use)
[filename, pathname] = uigetfile('*.dcm');
firstfile = [pathname filename];
filetype = 'DICOM';
nrofvols = 291;
nrofvolsskip = 0;
createamr = 1;
nrslices = 64;
stcprefix = 'untitled';
swapbytes = 0;
mosaicx = 800;
mosaicy = 800;
bytesperpixel = 2;
nrofvolsinimg = 1;
imgx = 100;
imgy = 100;
% ~~~ commands below do not require adaptation ~~~
bv = actxserver('BrainVoyager.BrainVoyagerScriptAccess.1')
fmr = bv.CreateDocumentMosaicFMR(filetype, firstfile, nrofvols, nrofvolsskip, createamr, nrslices, ...
stcprefix, swapbytes, mosaicx, mosaicy, bytesperpixel, pathname, nrofvolsinimg, imgx, imgy);
[pathstr,name,ext] = fileparts(firstfile); 
fmr.SaveAs(fullfile(pathstr, [name '.fmr']));
fmr.Close;